Bug 16001 - Use standard message dialog when there are no cities to list
Summary: Use standard message dialog when there are no cities to list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/cities.pl
Keywords:
Depends on: 14888
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 17:09 UTC by Owen Leonard
Modified: 2017-06-14 22:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16001 - Use standard message dialog when there are no cities to list (1.48 KB, patch)
2016-03-07 17:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16001 - Use standard message dialog when there are no cities to list (1.69 KB, patch)
2016-05-17 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16001 - Use standard message dialog when there are no cities to list (1.75 KB, patch)
2016-05-19 14:17 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16001 - Use standard message dialog when there are no cities to list (1.81 KB, patch)
2016-05-20 16:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-07 17:09:34 UTC
In Administration -> Cities and towns, if there are no cities defined that information should be shown in the standard <div class="dialog message">
Comment 1 Owen Leonard 2016-03-07 17:23:31 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-03-08 21:03:22 UTC
This might be user error, but I applied the patch and see no difference.

Nicole
Comment 3 Owen Leonard 2016-05-17 18:36:12 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2016-05-19 14:17:58 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-05-20 16:11:13 UTC
Created attachment 51667 [details] [review]
Bug 16001 - Use standard message dialog when there are no cities to list

If there are no existing cities in Administration -> Cities and Towns,
the message saying so should be in the standard message dialog.

Another minor change: Edit the message to say "There are no cities
defined," which I think reads better in English.

To test you must have no cities and towns defined.

Apply this patch and go to Administration -> Cities and Towns. You
should see a message displayed in a standard "message" style dialog.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Better view, no errors

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Brendan Gallagher 2016-05-31 11:45:33 UTC
Pushed to Master - Should be in the November 2016 Release.  Thanks!
Comment 7 Frédéric Demians 2016-06-15 07:31:17 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 8 Julian Maurice 2016-06-16 07:39:19 UTC
Patch pushed to 3.22.x, will be in 3.22.8